/*------------------------------------*\
    #BASE.HEADINGS
\*------------------------------------*/
/**
 * Basic headline styles.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.base';

h1,
h2,
h3,
h4,
h5,
h6,
.flyoutH4 {
    color: $frs-color-red;
    font-weight: normal;
    word-break: normal;
    word-wrap: inherit;
    a {
        @include frs-hover {
            color: $frs-color-red;
        }
        @include frs-focus {
            color: $frs-color-red;
        }
    }
}
@if $theme == "waterrescue" {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    .flyoutH4 {
        color: $frs-color-blue;
    }
}
@if $theme == "reloaded" {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    .flyoutH4 {
        color: $frs-color-grey;
        font-weight: bold;
    }
    @media #{$medium-up}{
        h1  ~ p,
        h2  ~ p,
        h3  ~ p {
            max-width: 702px;
            margin:1rem auto;
        }

    }
}
h1 {
    @include inuit-font-size($inuit-heading-size-1, $inuit-heading-lineheight-1);
}

h2 {
    @include inuit-font-size($inuit-heading-size-2, $inuit-heading-lineheight-1);
}

h3 {
    @include inuit-font-size($inuit-heading-size-3, $inuit-heading-lineheight-1);
    margin: frs-quarter($frs-base-unit) 0 ($frs-base-unit * .125);
}

h4,
.flyoutH4 {
    @include inuit-font-size($inuit-heading-size-4, $inuit-heading-lineheight-1);
}

h5 {
    @include inuit-font-size($inuit-heading-size-5, $inuit-heading-lineheight-1);
}

h6 {
    @include inuit-font-size($inuit-heading-size-6, $inuit-heading-lineheight-1);
}

@media #{$medium-up}{
    h1 {
        @include inuit-font-size($inuit-heading-size-1-medium-up,
            $inuit-heading-lineheight-1-medium-up);
    }

    h2 {
        @include inuit-font-size($inuit-heading-size-2-medium-up,
            $inuit-heading-lineheight-2-medium-up);
    }

    h3 {
        @include inuit-font-size($inuit-heading-size-3-medium-up,
            $inuit-heading-lineheight-3-medium-up);
    }

    h4,
    .flyoutH4 {
        @include inuit-font-size($inuit-heading-size-4-medium-up,
            $inuit-heading-lineheight-4-medium-up);
    }

    h5 {
        @include inuit-font-size($inuit-heading-size-5-medium-up,
            $inuit-heading-lineheight-5-medium-up);
    }

    h6 {
        @include inuit-font-size($inuit-heading-size-6-medium-up,
            $inuit-heading-lineheight-6-medium-up);
    }
}

@media #{$large-up}{
    h1 {
        @include inuit-font-size($inuit-heading-size-1-large-up,
            $inuit-heading-lineheight-1-large-up);
    }

    h2 {
        @include inuit-font-size($inuit-heading-size-2-large-up,
            $inuit-heading-lineheight-2-large-up);
    }

    h3 {
        @include inuit-font-size($inuit-heading-size-3-large-up,
            $inuit-heading-lineheight-3-large-up);
    }

    h4,
    .flyoutH4 {
        @include inuit-font-size($inuit-heading-size-4-large-up,
            $inuit-heading-lineheight-4-large-up);
    }

    h5 {
        @include inuit-font-size($inuit-heading-size-5-large-up,
            $inuit-heading-lineheight-5-large-up);
    }

    h6 {
        @include inuit-font-size($inuit-heading-size-6-large-up,
            $inuit-heading-lineheight-6-large-up);
    }
}

